eCos Reference Manual
Prev |  | Next

# fis erase

## Name

fis erase -- Erase flash area

## Synopsis

fis erase {-f `flash_address`} {-l `length`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`flash_address` | Number | Address of area to be erased. |
`length` | Number | Length of area to be erased. |

## Description

This command is used to erase a portion of flash memory forcibly. There is no cross-checking to ensure that the area being erased does not correspond to an existing image.

## Examples

Erase an area of the flash

    RedBoot> fis erase -f 0xa0040000 -l 0x20000
    ... Erase from 0xa0040000-0xa0060000: .

Prev | Home | Next
fis unlock | Up | fis write